org.gradle.api

## Interface Named

- All Known Subinterfaces:
    Architecture, AssemblerSourceSet, Binary, BuildType, Clang, ClassDirectoryBinary, CppSourceSet, CSourceSet, DependentSourceSet, Distribution, Executable, ExecutableBinary, Flavor, FunctionalSourceSet, Gcc, HeaderExportingSourceSet, IvyConfiguration, IvyPublication, JavaSourceSet, LanguageSourceSet, Library, LibraryBinary, MavenPublication, NativeBinary, NativeComponent, OperatingSystem, Platform, PlatformConfigurableToolChain, Publication, ResourceSet, SharedLibraryBinary, SoftwareComponent, SourceDirectorySet, StaticLibraryBinary, ToolChain, VisualCpp, WindowsResourceSet

      public interface Named

  Types can implement this interface and use the embedded `Named.Namer` implementation, to satisfy API that calls for a namer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Named.Namer` An implementation of the namer interface for objects implementing the named interface.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` The object's name.

- - ### Method Detail

    - #### getName

          String getName()

      The object's name.

      Must be constant for the life of the object.

      Returns:
        The name. Never null.